
QGIS Application - Bug report #17125

"Show Selected Features" option renders QGIS unusable with large layers

2017-09-12 12:05 PM - Andreas Wicht

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.18.12 Regression?: No

Operating System: Windows 7 / Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:Yes Copied to github as #: 25024

Description

When using QGIS with a large layer (here a PostGIS POINT layer with ~ 8.9 mio records) and setting the attribute table to show only

selected features one can force QGIS to be not responsive for a long time (killed it after waiting ~2h in background).

For this to happen you just have to click the canvas (not selecting other features) with the select tool enabled (e.g. deselecting by clicking

an area without points). 

When directly selecting other points in a new selection QGIS will not freeze.

The deselect button in the toolbar works just fine combined with "show only selected features" enabled.

When clicking the canvas with the attribute table showing all features, there is no problem at all.

I observed that the problem gets worse the bigger the layer. Limiting above mentioned Layer to ~ 3 mio records, just causes a freeze of

QGIS which lasts a couple of seconds. It seems at some record count QGIS reaches a state where it will not recover from

unresponsiveness as it does with a subset of the layer.

History

#1 - 2017-09-12 12:33 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 09:21 AM - Andreas Wicht

Tested now with QGIS 3.4.3:

- initial opening of the attribute table takes several minutes (> 5min)

- changing state from "show all features" to "show selected features" with features already selected (cancelled after > 30 min)

- changing state from "show all features" to "show selected features" without features already selected (works as expected, including the action described

in the initial ticket [deselect by clicking next to a feature])

So there is still clearly something wrong with the attribute table code.

The dataset loaded is a address point dataset of the Netherlands. So nothing out of the ordinary.

#4 - 2019-01-21 11:24 AM - Andreas Wicht
- Status changed from Feedback to Open

#5 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
